Summary: The BSD database library for C (version 1).
Name: db1
Version: 1.85
Release: 1.3.0
Source: http://www.sleepycat.com/update/%{version}/db.%{version}.tar.gz
Patch0: db.%{version}.patch
Patch1: db.%{version}.s390.patch
Patch2: db.%{version}.nodebug.patch
URL: http://www.sleepycat.com
License: BSD
Group: System Environment/Libraries
PreReq: /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
%ifnarch ia64
Conflicts: glibc < 2.1.90
%endif

%package devel
Summary: Development files for Berkeley DB (version 1) library.
Group: Development/Libraries
Prefix: %{_prefix}
Requires: %{name} = %{version}
%ifnarch ia64
Conflicts: glibc-devel < 2.1.90
%endif
%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package should be installed if
compatibility is needed with databases created with the Berkeley DB
version 1. This library used to be part of the glibc package.

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package contains the header files,
libraries, and documentation for building programs which use Berkeley
DB (version 1).

%prep
%setup -q -n db.%{version}
%patch0 -p1 -b .patch
%patch1 -p1 -b .fPIC
%patch2 -p1 -b .nodebug

%build

gzip -9 docs/*.ps
cd PORT/linux
make OORG="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{include/db1,lib,bin}

sed -n '/^\/\*-/,/^ \*\//s/^.\*.\?//p' include/db.h | grep -v '^@.*db\.h' > LICENSE

perl -pi -e 's/<db.h>/<db1\/db.h>/' PORT/include/ndbm.h

cd PORT/linux
sover=`echo libdb.so.* | sed 's/libdb.so.//'`
install -m644 libdb.a			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb1.a
install -m755 libdb.so.$sover		$RPM_BUILD_ROOT/%{_prefix}/lib/libdb1.so.$sover
ln -sf libdb1.so.$sover 		$RPM_BUILD_ROOT/%{_prefix}/lib/libdb1.so
ln -sf libdb1.so.$sover			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb.so.$sover
install -m644 ../include/ndbm.h		$RPM_BUILD_ROOT/%{_prefix}/include/db1/
install -m644 ../../include/db.h	$RPM_BUILD_ROOT/%{_prefix}/include/db1/
install -m644 ../../include/mpool.h	$RPM_BUILD_ROOT/%{_prefix}/include/db1/
install -m755 db_dump185		$RPM_BUILD_ROOT/%{_prefix}/bin/db1_dump185

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE changelog
%{_prefix}/lib/libdb1.so.*
%{_prefix}/lib/libdb.so.*
%{_prefix}/bin/db1_dump185

%files devel
%defattr(-,root,root)
%doc docs/*.ps.gz
%{_prefix}/include/db1
%{_prefix}/lib/libdb1.a
%{_prefix}/lib/libdb1.so

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.85, Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
